### Enumeration

# Qmi NasSimRejectState

since: 1.0

#### Declaration

    enum Qmi.NasSimRejectState

#### Description [src]

Reject information of the SIM.

Available since: 1.0

#### Members

`QMI_NAS_SIM_REJECT_STATE_SIM_UNAVAILABLE`

  SIM not available.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE`

  SIM available.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_SIM_REJECT_STATE_SIM_CS_INVALID`

  SIM invalid for circuit-switched connections.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_SIM_REJECT_STATE_SIM_PS_INVALID`

  SIM invalid for packet-switched connections.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_SIM_REJECT_STATE_SIM_CS_PS_INVALID`

  SIM invalid for circuit-switched and packet-switched connections.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_nas_sim_reject_state_get_string

Gets the nickname string for the `QmiNasSimRejectState` specified at `val`.

since: 1.0